source: trunk/PREREQUISITES @ 877

Last change on this file since 877 was 877, checked in by Dominic Hargreaves, 15 years ago

Geo::HelmertTransform? is now in CPAN, and required (closes #89)

  • Property svn:eol-style set to native
  • Property svn:keywords set to Author Date Id Revision
File size: 967 bytes
Line 
1Modules required by OpenGuides 0.56
2===================================
3
4Algorithm::Diff (version 0.13 or later. Note that the latest version uses
5        .zip rather than .tar.gz and breaks some automated installs)
6CGI (version 2.92 or later)
7CGI::Carp
8CGI::Cookie
9Wiki::Toolkit (version 0.71 or later)
10Wiki::Toolkit::Feed::Atom
11Wiki::Toolkit::Feed::RSS
12Wiki::Toolkit::Formatter::UseMod
13Wiki::Toolkit::Plugin::Categoriser
14Wiki::Toolkit::Plugin::Diff
15Wiki::Toolkit::Plugin::Locator::Grid
16Wiki::Toolkit::Plugin::RSS::Reader
17Class::Accessor
18Config::Tiny
19Data::Dumper
20(
21  DBD::Pg
22    -- or --
23  DBD::mysql
24    -- or --
25  DBD::SQLite
26)
27File::Spec::Functions
28File::Temp
29(
30  Geography::NationalGrid::GB
31    -- or --
32  Geography::NationalGrid::IE
33    -- or --
34  Geo::Coordinates::UTM
35)
36Geo::HelmertTransform
37LWP::Simple
38Module::Build (version 0.18 or later)
39Parse::RecDescent
40Plucene
41POSIX
42Template
43Test::MockObject (version 0.07 or later)
44Time::Piece
45URI::Escape
46XML::RSS
Note: See TracBrowser for help on using the repository browser.